

#3.4.4 / February 16th, 2018

* Bug fix: LCD display preview can be inaccurate (thanks to John Schauer for detecting it).
* Bug fix: in some rare cases, a WeatherFlow station may be unnamed and, therefore, be inaccessible in stations list view.
* Bug fix: function name collision with WPML plugin results in blank screen when Weather Station & WPML are both active (thanks to David Garcia Watkins for reporting it).


#3.4.3 / January 25th, 2018

* Improvement: better name handling for multiline charts.
* Bug fix: some `realtime.txt` based stations that worked before 3.4.2 can reverse - again :/ - uv index and irradiance (thanks to Ralf Karpa for detecting it).
* Bug fix: a cache error may appear in some case when using a cache manager (thanks to John Schauer for reporting it).

#3.4.2 / January 22nd, 2018

* Improvement: new dimensions added to charts: density & area density, power flux & luminous flux densities, specific energy (thanks to Ralf Karpa for the suggestion).
* Bug fix: some css border have their property inverted.
* Bug fix: in some cases, cache for daily graphs is too aggressive: values are cached for too long time and are not refreshed correctly.
* Bug fix: with some templates, charts are incorrectly redrawn when set in _Ajax Preload_ or _Ajax Refresh_ mode.
* Bug fix: after applying the patch to correct `realtime.txt` variant, soil and solar values may be inverted (thanks to Ralf Karpa for detecting it).


#3.4.1 / January 19th, 2018 

* Improvement: for multilingual sites, Weather Station now takes care of the page language in all controls and widgets. Compatible with Babble, Polylang, Weglot and WPML.
* Improvement: for multilingual sites, cache management is now done on a per language basis.
* Improvement: visibility is now collected for OpenWeatherMap stations and all stations under [Current Records] virtual module (and available in current, daily and historical data).
* Improvement: UV index and irradiance are now collected for Weather Underground stations (and available in current, daily and historical data).
* Improvement: the detailed server configuration is much more elaborated with WordPress and database environments.
* Bug fix: the display of oldest data date may be buggy for some very recently added stations.
* Bug fix: graphs may have wrong width properties when inserted in tabs (thanks to Ralf Karpa and his son for detecting it).
* Bug fix: daily graphs maybe unordered if you have manually inserted values in DB table - please, don't do that :-/ (thanks to Ralf Karpa for detecting it).
* Bug fix: in some cases, last strike distance is wrong when expressed in imperial system.
* Bug fix: a MySQL warning at plugin activation gives an error in smoke test.
* Bug fix: there's some layout "glitches" in the charts with Safari and Chrome on iOS.

#3.4.0 / January 16th, 2018

* New: Weather Station now compiles data as daily and historical values.
* New: new single-line and multi-lines chart for daily graph with tons of options and settings.
* New: new single-line and multi-lines chart for historical graph (month, meteorological season and year) with tons of options and settings.
* New: new calendar heatmap for historical graph (month, meteorological season and year) with tons of options and settings.
* New: new line and bar chart for historical graph (month, meteorological season and year) with tons of options and settings.
* New: data for graphs can be cached (settings in *system* tab).
* New: the scheduled tasks tab allows to proceed on execution and reschedule of tasks belonging to the new history pool.
* New: the analytics graphs for task and cache now take care of the new history pools and caches.
* New: third-party scripts and stylesheets can now be loaded from external CDN (settings in *system* tab).
* New: a new device manager automatically takes care of wind and rain gauges replacement for Netatmo stations.
* Improvement: the station view has been totally redesigned and is now faster to load.
* Improvement: plugin admin (all tabs and screens) is now fully responsive, you can use it easily on your smartphone or tablet.
* Improvement: the widgets names contains now an icon for an easier identification in the customizer.
* Improvement: the textual shortcodes can now render dimension names of measurements (i.e. pressure, length, speed, etc.).
* Improvement: if a cache manager is installed, Weather Station can now flush its cache when the cache manager does it (settings in *system* tab). Compatible with Autoptimize, Hyper Cache, W3 Total Cache, WP Rocket and WP Super Cache.
* Improvement: scripts can now be loaded in footer to accelerate page render time (settings in *system* tab).
* Improvement: scripts enqueuing has been optimized, admin pages are now 15% faster and pages with controls are 20% faster.
* Improvement: better detection of needed php librairies and extensions.
* Improvement: improved display behavior of rain values in outdoor weather summary and fire weather widgets for `clientraw.txt` and WeatherFlow stations (thanks to Alex for the suggestion).
* Improvement: wind chill have now a consistent decimal value across all controls.
* Improvement: better cache consistency when adding or removing station.
* Improvement: better device detection and management for WeatherFlow and file-based stations (`clientraw.txt` and `realtime.txt` only).
* Improvement: support for the located modules (indoor/outdoor) for WeatherFlow stations.
* Improvement: a warning event is now generated when the server mask or disable some system functions.
* Bug fix: in some cases, the plugin try to download translations statistics at each loading.
* Bug fix: with some browsers, the layout of shortcode window is ugly.
* Bug fix: for stations based on `clientraw.txt` files, seasonal aggregation can be selected while this type of measurement doesn't exists (thanks to Alex for detecting it).
* Bug fix: when only stations based on `clientraw.txt` are collected, it's impossible to select a module in the Indoor Comfort widget (thanks to Alex for detecting it).
* Bug fix: a PHP/MySQL error may appears when using "indoor" widget when no collected station provides this type of data.
* Bug fix: in some (rare) race condition, it's not impossible that an event is not recorded in the event log.
* Bug fix: it's impossible (again) to save negative threshold values for the Chandler Burning index, in Chrome, Safari and Firefox.
* Bug fix: it's impossible to save threshold values greater than 100 for the Chandler Burning index, in Chrome, Safari and Firefox.
* Bug fix: since some weeks, strike distance for WeatherFlow stations are wrong.

#3.3.4 / November 27th, 2017

* Bug fix: PHP warning when computing an equivalent potential temperature for a zero temperature.
* Bug fix: daily and yearly rain data are wrongly recorded for stations based on `clientraw.txt` files (thanks to Jonathan G. for detecting it).


#3.3.3 / November 13th, 2017

* Improvement: compatibility with WordPress 4.9.
* Improvement: lower boundaries for temperatures, frost point and windchill are now suitable for stations in extreme cold conditions (thanks to John S. for the suggestion).


#3.3.2 / October 11th, 2017

* Improvement: the stations list has new columns to improve its use.
* Improvement: if you have more than 2 collected stations, the stations list doesn't show anymore shortcodes links to speed up the displaying.
* Bug fix: in some cases, uninstalling the plugin doesn't remove all its tables.
* Bug fix: in extremely rare cases, updating partial translation may produce a PHP fatal error (thanks to Lars for detecting it).


#3.3.1 / October 5th, 2017

* Improvement: the computed health index now takes care of data (un)availability.
* Improvement: data manager now checks integrity twice a day to find (and delete) orphaned measurement data.
* Bug fix: extra modules are not collected in `clientraw.txt` files when they are not in standard order (thanks to Gerhard Witteveen for detecting it).
* Bug fix: PHP notice when WeatherFlow send empty dataset for current observations.


#3.3.0 / September 5th, 2017

* New: Weather Station is now compatible with the ***Smart Weather Station*** from WeatherFlow (Air & Sky modules).
* New: Weather Station is now compatible with stations based on `stickertags` file (WeatherLink, WsWin32, MeteoBridge, etc.).
* New: a new ***Solar*** widget to display irradiance, illuminance and UV index.
* New: a new ***Thunderstorm*** widget to display strike counts, bearing and distance.
* New: a new ***Psychrometry*** widget to display psychrometric values (see below).
* New: solar module with irradiance, UV index and illuminance measurements (for stations supporting it) available in all controls.
* New: thunderstorm module with lighting strikes count, distance and bearing measurements (for stations supporting it) available in all controls.
* New: soil module with temperature, leaf wetness, evapotranspiration and moisture content/tension measurements (for stations supporting it) available in all controls.
* New: the task scheduler have a new mode to allow a higher frequency of weather collection and sharing (settings in *system* tab).
* New: it's now possible to subscribe to Weather Station news right from the dashboard.
* New: psychrometric temperatures (wet bulb, equivalent, potential and equivalent potential) computed and available in all controls.
* New: psychrometric partial and saturation vapor pressures computed and available in all controls.
* New: psychrometric absolute humidity (partial or saturation) computed and available in all controls.
* New: air density, equilibrium moisture content and specific enthalpy computed and available in all controls.
* New: ability to publish outdoor data of personal stations as YoWindow XML format (to be used in YoWindow desktop application / screensaver).
* New: file-based stations are now publishable via `stickertags` format.
* Improvement: ephemeris widget and textual shortcodes now take care of locations where there's no day or no night (on 24h).
* Improvement: an admin notification informs you when Weather Station have been updated.
* Improvement: widgets now hide the header blank zone when there's no title or information to display (thanks to Lisa Yoon for the suggestion).
* Improvement: widgets have now generic css classes that allow styling without using jQuery (thanks to LarsHdg for the suggestion).
* Improvement: UV index and strikes summary are now available in the *Outdoor Weather Summary* widget.
* Improvement: it's now possible to override the Healthy Home Coach internal health index with a computed value (comparable with indoor modules).
* Improvement: the *display* tab of *settings* screen has been reorganized for better readability.
* Improvement: inline help is now visible in widget and main settings (question mark in a circle).
* Improvement: icons for day, dawn and dusk lengths and durations are now consistent.
* Improvement: new setting to choose units (metric/imperial) for psychrometric values.
* Improvement: some interface style settings have appeared in the *display* tab of *settings* screen.
* Improvement: in textual shortcodes, difference is now made between Unix timestamps and UTC timestamps.
* Improvement: distances now have a rounding precision commensurate with their values.
* Improvement: the file handler now supports double date format in `realtime.txt` files.
* Improvement: new option in *system* tab of *settings* screen to set the HTTP timeout (helps to get rid of temporary timeout errors with Weather Underground or OpenWeatherMap).
* Improvement: better detection of environment while needed for support/help procedures.
* Bug fix: in some cases, the dashboard columns may be blank after adding a station from the welcome panel.
* Bug fix: it's impossible to save negative threshold values for the Chandler Burning index, in Chrome, Safari and Firefox.
* Bug fix: carbon monoxide thresholds are wrongly converted from/to some system units.
* Bug fix: temperatures have not the same decimal precision in all displays.
* Bug fix: textual shortcodes doesn't display correctly formatted last refresh times.
* Bug fix: the formatting of length (of day, dawn & dusk) in ephemeris module is wrong in some cases.
* Bug fix: the icons for dew point and frost point are not correctly aligned in *Outdoor Weather Summary* widget.
* Bug fix: adding a file-based station throws, in some cases, a notice in the PHP log file.
* Bug fix: the time is sometimes wrong in generated `stickertags` files for Netatmo stations.
* Bug fix: removing a Weather Underground station may produce an inconsistent warning message.

#3.2.5 / May 17th, 2017

* Improvement: compatibility with WordPress 4.8
* Bug fix: PHP error in quota analytics on fresh install.

#3.2.4 / May 9th, 2017

* Improvement: number of data posts to Weather underground are now 10 times per hour.
* Improvement: frequency for sharing data with Met Office are now aligned on WOW recommendation (20 minutes).
* Bug fix: events log indicates "Too Many Requests" when pushing data to Met Office, when sharing is activated with PWS and Weather Underground too.

#3.2.3 / May 2nd, 2017

* Bug fix: there's a missing php file in the distribution done by WordPress.org (`ListTableTasks.php`).
* Bug fix: PHP Warning when compiling quota performance data for the first time.

#3.2.2 / May 2nd, 2017

* Bug fix: silent SQL syntax error on MySQL > v5.6 despite 3.2.1 bug fix.

#3.2.1 / May 1st, 2017

* Bug fix: silent SQL syntax error on MySQL > v5.6.

#3.2.0 / May 1st, 2017

* New: a full-featured quota manager allows you to not exceed API usage for all services (Netatmo, Weather Underground, etc.).
* New: a dashboard box displays API usage.
* New: a dashboard box displays statistics on events counts.
* New: it's now possible to reset cache from 'maintenance' tab of *settings* screen.
* New: it's now possible to purge events log from 'maintenance' tab of *settings* screen.
* New: tasks execution, events and api usage analytics - for those who love data analytics.
* New: scheduled tasks manager - for those who dream to be a time sorcerer.
* Improvement: better cache management after plugin update.
* Improvement: adjustment of some elements in *Versions* box in dashboard.
* Improvement: you could now set a limit for data age in analytics reports.
* Improvement: totally rewritten push cron engine for optimization and stability.
* Improvement: if your WordPress configuration is set to prohibit automatic updates, you can no longer set the corresponding option for Weather Station.
* Improvement: better readability for *Weather Station News* box in dashboard.
* Improvement: speed optimization for stations list and stations views.
* Improvement: watchdog now takes care of plugin auto-update process - especially with PHP 7.
* Improvement: it's now possible to reset analytics view.
* Improvement: "Pusher" subsystem have been renamed to "Weather Pusher".
* Improvement: consistency of events types between all collectors subsystems have been greatly improved.
* Improvement: contextual help updated in the dashboard.
* Bug fix: the css for widget is always outputed on frontend even if there's no widget on the page (special thanks to Schatzalp).
* Bug fix: in very rare circumstances, it's not possible to move boxes in dashboard and station view.
* Bug fix: the events log view doesn't shows contextual help when it is filtered.
* Bug fix: unable to share data on Weather Underground site since they have updated their servers.
* Bug fix: Healthy Home Coaches in stations list shows wrong options.
* Bug fix: PHP warning when partial translations are not available for updates.

#3.1.3 / March 17th, 2017

* Improvement: it's now possible to force plugin automatic update thanks to WordPress updates system (enabled by default).
* Improvement: adjustment of some UI elements in dashboard.
* Bug fix: in analytics, the *Rendering Requests* graph uses the wrong interpolation method.

#3.1.2 / March 13th, 2017

* Bug fix: in Fire Weather widget, the current risk is wrong.

#3.1.1 / March 13th, 2017

* Improvement: the time scale for cache analytics offers now better readability.
* Improvement: the *Weather Station News* box of the dashboard has been redesigned to show cleaner items.
* Bug fix: in Fire Weather widget, the color of the current risk icon is wrong.
* Bug fix: with some configurations, the window for shortcodes in admin panel has the wrong size.

#3.1.0 / March 8th, 2017

* New: a new widget ***Indoor Comfort*** to display indoor measurements health quality and advices.
* New: a new widget ***Fire Weather*** to display fire risk at the station location.
* New: an health index (computed for all indoor modules) is available in all controls.
* New: the Chandler burning index is computed for all stations and available in all controls.
* New: dawn and dusk time (civil, nautical and astronomical) are computed and available in textual data.
* New: day duration (standard, civil, nautical and astronomical) are computed and available in textual data.
* New: twilight for dawn and dusk (civil, nautical and astronomical) are computed and available in textual data.
* New: ephemeris widget can now display standard, civil, nautical and astronomical daylight times.
* New: support for the ***Healthy Home Coach*** from Netatmo.
* New: a screen (reachable from 'versions' box) displays servers informations useful for local file-based stations.
* New: a dashboard widget displays statistics on cache efficiency.
* Improvement: all widgets and controls can now be cached (settings in *system* tab).
* Improvement: outdoor weather and ephemeris widgets can have background images for day, twilight and night.
* Improvement: outdoor weather and ephemeris widget can have a background color which luminosity follows current light.
* Improvement: better precision of the measurement type in the LCD display in case of ambiguity.
* Improvement: gases concentrations (for now CO & CO₂) can now be expressed as volume and mass mixing ratio, mass concentration and partial pressure (settings in *display* tab).
* Improvement: strong accuracy and speed optimization for weather indexes and ephemeris computing.
* Improvement: O₃ measurements are now renamed in "O₃ layer" and "ozone layer" to avoid confusion and misinterpretations.
* Improvement: better coordinates management for stations based on `realtime.txt` files.
* Improvement: source name for file-based stations can now have 240 characters.
* Improvement: better readability for PHP configuration info panel in requirements warning.
* Bug fix: with stations based on `clientraw.txt` files, collected wind speeds and gusts may be wrong.
* Bug fix: in some conditions, widget in flat design mode doesn't shows the right background color.
* Bug fix: in *Outdoor Weather Summary* widget, the "hide obsolete measurements" doesn't work as expected for OpenWeatherMap data.
* Bug fix: message "Inconsistent data to insert..." in events log just after forcing a synchronization.
* Bug fix: message "Inconsistent data to insert..." in events log while updating latitude or longitude for some file-based stations.
* Bug fix: the wrong system send an events while regenerating access token (must be "Authentication").
* Bug fix: in some conditions, partial translations are not updated (downloaded) once a day.
* Bug fix: since WordPress 4.7 the partial translation system works erratically when an admin user have not set "site default" as language.
* Bug fix: PHP warning in log file when Weather Underground return incorrect timestamp.

#3.0.11 / February 1st, 2017

* Bug fix: coordinates for stations based on `realtime.txt` files are truncated (many thanks to sebs42 to find it).

#3.0.10 / January 20th, 2017

* Bug fix: ephemeris widget doesn't correctly displays its background since 3.0.9 version.

#3.0.9 / January 18th, 2017

* Improvement: more readable cloud base altitude (logarithmic scale accuracy).
* Improvement: better detection of firmware revision in file-based stations.
* Improvement: widgets are now automatically exempted to be rendered/modified by wp-Typography plugin.
* Improvement: better support for WP 4.7 languages mode in multisite installation.
* Bug fix: the data manager doesn't catch attempts to insert null measured values into data table.
* Bug fix: PHP 7.1 "Uncaught ArgumentCountError" while activating the plugin (many thanks to Brad-NZ to find this bug).

#3.0.8 / January 16th, 2017

* Improvement: full compatibility with WordPress 4.7 language management (for administration screens).
* Bug fix: bad file format error is detected for some `clientraw.txt` files generated by Meteohub.
* Bug fix: the url to make a review of the plugin is wrong.

#3.0.7 / December 20th, 2016

* Improvement: direct changelog access from Dashboard.
* Bug fix: since WordPress 4.7, some events are not correctly filtered in the events log.

#3.0.6 / December 19th, 2016

* Improvement: optimized *Purge & Resynchronize* feature.
* Improvement: better database migration from previous versions.
* Improvement: adding/modifying links in inline help.
* Improvement: more precise error messages when unable to add a Weather Underground station.
* Improvement: optimized layout of shortcodes windows.
* Improvement: internal translations updates are now done once per day.
* Improvement: `readme.txt` cleaning.
* Bug fix: activating `stickertags` publishing need page refreshing to be shown.
* Bug fix: there are some typos in shortcodes windows titles.

#3.0.5 / November 21st, 2016

* Improvement: better latitude & longitude interpretation for `clientraw.txt` files.
* Bug fix: bad file format error is detected for some `clientraw.txt` files generated by WeeWX (thanks to Marco Sartini to find this bug).

#3.0.4 / November 18th, 2016

* Bug fix: in some rare cases, the gauge boundaries for wind measurements are not correctly saved.

#3.0.3 / November 18th, 2016

* Improvement: min/max values and alarms are now displayed with consistent accuracy.
* Improvement: better detection and process for migration from previous 2.x versions.
* Bug fix: the gauge boundaries for some wind measurements are wrong.

#3.0.2 / November 17th, 2016

* Improvement: extreme conditions for pressure are more accurate when expressed in inHg and mmHg.
* Improvement: caching mechanism on slow queries.
* Improvement: error handling when generating shortcodes for missing data.
* Bug fix: the gauge boundaries for pressure are wrong with units in inHg and mmHg.
* Bug fix: the gauge boundaries for cloudiness are wrong.

#3.0.1 / November 15th, 2016

* Bug fix: some typos in dir names.

#3.0.0 / November 14th, 2016

This new release is a major update of the plugin which is now named **Weather Station**.
After upgrading, please, review all your settings.

* New: totally redesigned plugin admin pages to provide a simpler and easier access to all features and settings.
* New: a full featured dashboard (like the WordPress one) provides a simplified way to access to all features and operating analytics of the plugin.
* New: a new *station view* offers more in-depth visibility and understanding of the collected weather stations.
* New: in addition to its nominal mode, Weather Station can now run in a simplified mode (automatic selection of settings, display options, units, etc.).
* New: it's now possible to collect data from stations published on Weather Underground.
* New: it's now possible to collect data from stations publishing their data via `realtime.txt` file (Cumulus, etc.).
* New: it's now possible to collect data from stations publishing their data via `clientraw.txt` file (Weather Display, WeeWX, etc.).
* New: the min & max boundaries for controls (like meters or gauges) can be set for each measurement types.
* New: the min & max alarms thresholds for controls (like LCD panel or meters) can be set for each measurement types.
* New: a widget in the WordPress dashboard now display an *operating summary* of the plugin.
* New: it's now possible to manually purge and resynchronize data.
* New: humidity min & max collecting for station supporting it. Output rendering in all shortcodes.
* New: pressure min & max collecting for station supporting it. Output rendering in all shortcodes.
* New: yesterday, month, season and year aggregated rain collecting for station supporting it. Output rendering in all shortcodes.
* New: for Netatmo stations first setup, last setup and last upgrade dates are collected and may be rendered like other measurements.
* New: for all personal stations last seen and last refresh dates are collected and may be rendered like other measurements.
* New: new alternate icons set to display moon ephemeris values.
* New: ability to publish outdoor data of personal stations as `stickertags` format (for local, national or transnational weather networks like FRWN, etc.).
* New: a caching mechanism is implemented to accelerate all backend rendering.
* Improvement: stability and speed are dramatically optimized.
* Improvement: it's now possible to use partial translations.
* Improvement: Weather Station has a new stylized (and stylish) logo!
* Improvement: Weather Station has now its own menu in the main admin sidebar.
* Improvement: all UI have been redesigned for easy use (icons, information messages, confirmation prompts, etc.).
* Improvement: each admin page have now a contextual help.
* Improvement: the settings page now adheres to the "standard" WordPress admin look & feel.
* Improvement: external and auxiliary links can now be opened in same or new window (settings in *system* tab).
* Improvement: all mapping features are now provided by OpenStreetMap.
* Improvement: events log and logging policy are now configurable (settings in *system* tab).
* Improvement: short codes previews are now based on true values (before it was on estimated values).
* Improvement: namespaces refactored for avoiding name collision with other plugins.
* Improvement: Weather Station now use the latest version of Netatmo SDK.
* Improvement: pressure displayed in hPa have now reasonable accuracy with 1 decimal.
* Improvement: better cURL error reporting (now in event log) when SSL issues occurs.
* Improvement: it's now possible to be warned when time difference between Netatmo server and your server is too large (settings 'Server Time shift' in *system* tab).
* Improvement: the plugin now verify all prerequisites (mandatory extensions) at startup and shows warning if there's something missing.
* Improvement: connection status, dashboard and stations provides direct links to filtered events log.
* Improvement: it's now possible to manage individually each Netatmo station (i.e. add or remove station to the mechanism of collect).
* Improvement: huge source code refactoring and commenting for better readability.
* Improvement: all forms now implements security best practices (nonces, validations, etc.).
* Improvement: better support for anti directory listing.
* Improvement: event log now shows events numbers and supports direct access to detailed description.
* Improvement: battery and signal levels for Netatmo stations are more accurate.
* Improvement: optimized country / time zones list for Deutchland, United-Kingdom, Russia, Serbia, Vietnam and Yemen.
* Improvement: Weather Station now use the latest version of Font Awesome (4.7).
* Bug fix: wind strength rounding in km/h are not accurate.
* Bug fix: current weather from OpenWeatherMap is wrongly registered in the events log.
* Bug fix: filtering events log by station doesn't work.
* Bug fix: unable to validate site ID and AWS 6-digit PIN for sending data to MET Office.
* Bug fix: some warning events are not logged.

#2.9.3 / August 4th, 2016

* New language: Russian (thanks to [@tefal](https://profiles.wordpress.org/tefal/) for its involvement).
* Improvement: support for WordPress 4.6

#2.9.1 / June 22nd, 2016

* New language: Dutch (thanks to [@hanstis](https://profiles.wordpress.org/hanstis)).
* Bug fix: wrong displaying of noise, O₃, CO and CO₂ in LCD Panel.

#2.9.0 / June 19th, 2016

* New: Live Weather Station can now collects max wind strength and angle for today (from Netatmo stations) and display it in textual shortcodes, LCD Panel, clean gauges and steel meter.
* New language: English/South Africa.
* Improvement: the number of decimals for wind strength are now adapted to the true strength (on a suggestion from [seasparrow](https://wordpress.org/support/profile/seasparrow)).
* Improvement: better display for wind and units in LCD Panel.
* Improvement: added compatibility to *WN (local weather networks) thanks to Patrice Corre from FRWN.
* Improvement: some events have new severity for better visibility.
* Improvement: event log is now more precise whith Netatmo connection error codes and messages.
* Improvement: 4th phase of code refactoring for provisioning 3.X version.
* Bug fix: in some cases, unit name in plain text, for wind and rain, is not correctly rendered.
* Bug fix: some generated files are not correctly refreshed when using Varnish as cache.

#2.8.1 / June 8th, 2016

* Improvement: systems, services and stations are now alphabeticaly sorted in the events log filter.
* Improvement: 3rd phase of code refactoring for provisioning 3.X version.
* Bug fix: url rewriting doesn't cover all DB_* files cases.

#2.8.0 / June 6th, 2016

* New: new events log for all operations and cron jobs.
* New language: English/Canada.
* Improvement: new way of error handling for some processes.
* Improvement: more visible warnings when internationalization support is not installed.
* Improvement: better handling of connection/disconnection for Netatmo and OpenWeatherMap account.
* Improvement: 2nd phase of code refactoring for provisioning 3.X version.
* Bug fix: connectivity test for PWS Weather services may fails in some cases.
* Bug fix: remaining or elapsed approximate time maybe wrong under one minute.
* Bug fix: titles of columns are not translatable in stations views.

#2.7.4 / May 24th, 2016

* New language: English/UK.
* Improvement: modification of API handling for better performances in cron jobs.
* Improvement: code refactoring for provisioning 3.X version.
* Bug fix: PHP warning when saving empty associated services for a Netatmo station.
* Bug fix: some typos in french translations (be, ca and fr).

#2.7.2 / May 16th, 2016

* New language: French/Belgium.
* New language: French/Canada.
* Improvement: French translation now complies with french typography rules and main wordpress-fr recommendations.
* Improvement: better javascript files refreshing after updating the plugin.

#2.7.1 / May 10th, 2016

* Bug fix: some javascript files are incorrectly minified.

#2.7.0 / May 9th, 2016

* New: Live Weather Station can now collects polution data for ozone (O₃) and carbon monoxide (CO) and display it in textual shortcodes, LCD Panel, clean gauges and steel meter. It is an experimental feature, [see notes](https://wordpress.org/support/topic/new-pollution-data-types-units-and-limitations).
* Improvement: new "bullet-proof" mode for cron jobs.
* Improvement: steel meters have now adaptative decimal numbers for labels.
* Improvement: LCD panel now displays the correct number of decimal digits depending on the measurement type.
* Improvement: clean gauge and steel meters now supports values smaller than 1.
* Improvement: better min/max values handling in clean gauges.
* Improvement: sample urls for related services redirects now to Netatmo stations.
* Bug fix: some MySQL warnings while activating the plugin.
* Bug fix: in some circumstances, cron jobs are disappearing (and data updates are not done) - many thanks to [Atle](https://wordpress.org/support/profile/atlehogberg) to have pointed out this annoying issue.

#2.6.0 / April 24th, 2016

* New: Live Weather Station can now send outdoor Netatmo data to [Weather Underground](https://www.wunderground.com/) service.
* New: new option for rain and snow displaying: metric or imperial system.
* Improvement: textual shortcodes can now display units (symbol/abbrev. or full unit name) for measurement types.
* Improvement: unit for snow in metric system is now automatic (millimeters or centimeters).
* Bug fix: LCD panel doesn't shows the right unit for snowfall in some cases.
* Bug fix: impossible to disable data sending to Met Office or PWS Weather when station is correctly synchronized.
* Bug fix: some typos in french translation.

#2.5.0 / April 13th, 2016

* New: Live Weather Station can now send outdoor Netatmo data to [Met Office](http://wow.metoffice.gov.uk/) and [PWS Weather](http://www.pwsweather.com/) services.
* New: new option for wind direction icons: it's now possible to choose the semantics of the icons (towards or from).
* Improvement: steel meters can now shows accumulated rainfall for last hour (Netatmo).
* Improvement: support for Wordpress 4.5.
* Bug fix: in some circumstances, Live Weather Station are not able to obtain correct geolocation of Netatmo stations.
* Bug fix: database and PHP warnings when updating plugin in some cases.
* Bug fix: PHP warning when in Netatmo & OWM mode and there is no specified OWM station.

#2.4.1 / March 14th, 2016

* Improvement: an error window now shows the reason when it's not possible to generate a shortcode (mostly for OpenWeatherMap errors).
* Bug fix: unable to generate shortcodes when OpenWeatherMap servers sends empty responses.
* Bug fix: unable to connect a Netatmo account with a password containing quotes, double-quotes or backslashes.
* Bug fix: station names containing html special characters, quotes, double-quotes or backslashes are not correctly displayed in widgets and admin panel.


#2.4.0 / March 8th, 2016

* New language: English/New Zealand.
* Improvement: Netatmo servers are now queried every five minutes (it was every ten minutes in previous versions).
* Bug fix: a string of the *About* box is not translatable.
* Bug fix: name collision for Color Class with other unknown plugin.

#2.3.0 / March 2nd, 2016

* New language: English/Australia.
* Improvement: all live controls and widgets now makes distinction between (and shows correct units and labels for) rain rates and rainfalls.
* Improvement: steel meters can now shows accumulated rainfall for today (Netatmo) and last 3 hours (OpenWeatherMap).
* Improvement: Live Weather Station now supports empty responses sent sometimes by OpenWeatherMap servers.
* Improvement: Live Weather Station now supports erroneous data sent sometimes by Netatmo servers.
* Improvement: a warning is now displayed in the site dashboard when php internationalisation extension is not installed (it is a requirement to run Live Weather Station, see [FAQ](https://wordpress.org/plugins/live-weather-station/faq/)).
* Bug fix: rainfalls and snowfalls are not correctly shown in LCD panel when their values are null.

#2.2.2 / February 17th, 2016

* Bug fix: live controls are no correctly displayed when `wp-admin` directory is not at the root of the site.

#2.2.1 / February 11th, 2016

* Bug fix: error in some steel meters while displaying obsolete data.
* Bug fix: LCD font is not correctly displayed (in steel meters) when current value is out of range.
* Bug fix: some typos in carbon dioxide strings.

#2.2.0 / January 25th, 2016

* New: steel meters, with tons of customization parameters, to display "live" values.
* Improvement: using of subscript character for carbon dioxide, now displayed as CO₂ (previously, it was CO2).
* Improvement: in clean gauges it's now possible to choose to display the shortened measurement type as title or label.

#2.1.0 / January 13th, 2016

* New: clean gauges to display "live" values.
* Improvement: new option for outdoor weather widget: you can now choose to hide obsolete data.
* Improvement: pressure displayed in inHg have now reasonable accuracy with 2 decimals.
* Improvement: the data collecting method for Netatmo & OpenWeatherMap is now "bullet-proof".
* Improvement: an improved connection mode that should avoid unwanted disconnections (on Netatmo servers temporary errors).
* Improvement: refresh cycle for live controls goes from 5 minutes to 2 minutes - datas are fresher than ever ;).
* Improvement: the *About* box is now much more readable.
* Bug fix: some typos in french translation.

#2.0.1 / December 22nd, 2015

* Bug fix: PHP notice while collecting non-existent rain or snow values from OpenWeatherMap.

#2.0.0 / December 17th, 2015

*Note to existing 1.X users: due to the new connection mode (see improvements below), you must set again your Netatmo credentials in plugin dashboard after the plugin update.*

* New: ability to create "virtual" weather stations based on OpenWeatherMap records ; you can now use Live Weather Station even if you don't have a Netatmo weather station.
* New: when a Netatmo station is correctly located (in netatmo online app) its collected data are enriched with data from OpenWeatherMap (cloudiness, snow falls, etc.) if collect mode is set to "Netatmo and OpenWeatherMap".
* New: astronomical computed values (aka ephemeris) for sun (sunrise, sunset, distance and angular size) and for moon (mooonrise, moonset, age, phase, illumination, distance and angular size), available via shortcodes (textual values) and a new widget.
* Improvement: new option for outdoor weather widget and live controls: you can now set a data obsolesence time beyond which data will no longer be displayed. This is especially useful for Netatmo modules management (when turned off or disconnected from the main base) or while connectivity issues.
* Improvement: new option for outdoor weather widget: it's now possible to specify max width of the rendered widget.
* Improvement: new option for outdoor weather widget: subtitle can now be "nothing", "date & time of records" or "station coordinates (if known)".
* Improvement: new options for outdoor weather widget: you can now display current weather (as a big icon), cloudiness and snowfall if connected to OpenWeatherMap.
* Improvement: new option for distance displaying: metric or imperial system.
* Improvement: new option for textual shortcodes: wind direction/angle can now be displayed abbreviated or in plain text.
* Improvement: new option for live controls: displaying only measured data or measured and computed data.
* Improvement: new connection mode to Netatmo account to comply with the new manufacturer's recommendations that take effect in a few months (no more login or password storing).
* Improvement: computed values are now displayed in the site dashboard as an additional module for each station.
* Improvement: reference wind strength for wind chill computing can now be displayed via shortcodes.
* Improvement: stations time zone can now be displayed via shortcodes.
* Improvement: for some unknown reason, some netatmo wind gauges doesn't have historical values nor gusts values. The widget now take care of this...
* Improvement: in textual shortcodes, timestamps can now be displayed in remaining or elapsed approximate time.
* Improvement: times and dates in widgets, textual shortcodes and site dashboard are now local to station (in previous version it was local to server).
* Improvement: more meaningful error message if no data to show in LCD Panel.
* Bug fix: unable to set colors for widgets when displayed for the same station on the same page.
* Bug fix: wrong preview of LCD panel in the site dashboard (admin panel) when there was more than one Netatmo station.
* Bug fix: malformed subtitles in LCD panel for some wind and rain gauges.


#1.2.2 / November 25th, 2015

* New: added an *About* box in dashboard.
* Improvement: widget now shows max wind strength of the day.
* Improvement: widget tooltip now shows the wind direction in plain text.
* Improvement: better handling of wind direction when strength is null.
* Improvement: secured handling of wind strength historic and max wind strength.
* Improvement: for some unknown reason, some netatmo rain gauges doesn't aggregate hour/daily values. The widget now take care of this...
* Bug fix: a `<a>` tag was not closed in some circumstances in the admin panel.
* Bug fix: wrong displaying in the admin panel when there was more than one station to show.
* Bug fix: color picker was not working with some themes delaying JQuery loading.

#1.2.1 / November 24th, 2015

* Bug fix: wrong settings when not updating widget after Live Weather Station update.
* Bug fix: no icon in widget when it was displayed in content (not in sidebar).

#1.2.0 / November 23rd, 2015

* New: wind chill computing ([what is it?](https://en.wikipedia.org/wiki/Wind_chill)): available in widget, textual shortcodes and live controls (as outdoor values).
* New: cloud base (above ground level) computing ([what is it?](https://en.wikipedia.org/wiki/Cloud_base)): available in widget, textual shortcodes and live controls (as outdoor values).
* New: new option for altitude displaying: metric or imperial system.
* Bug fix: PHP notice when not updating widget settings after Live Weather Station update.
* Bug fix: wrong battery level and signal quality stored for virtual modules.

#1.1.1 / November 19th, 2015

* Bug fix: wrong border style when widget was displayed in content (not in sidebar).

#1.1.0 / November 19th, 2015

* New: dew point and frost point computing ([what is it?](https://en.wikipedia.org/wiki/Dew_point)): available in widget, textual shortcodes and live controls (as outdoor values).
* New: heat index (USA, humidity based) computing ([what is it?](https://en.wikipedia.org/wiki/Heat_index)): available in widget, textual shortcodes and live controls (as outdoor values).
* New: humidex (Canada, dew point based) computing ([what is it?](https://en.wikipedia.org/wiki/Humidex)): available in widget, textual shortcodes and live controls (as outdoor values).
* New: temperature trend: data collecting and output rendering in all shortcodes.
* New: pressure trend: data collecting and output rendering in all shortcodes.
* New: altitude of the main station base: data collecting and output rendering in textual shortcodes.
* New: coordinates (latitude and longitude) of the main station base: data collecting and output rendering in textual shortcodes.
* New: device/module firmware revision: data collecting and output rendering in textual shortcodes.
* Improvement: new options for widget: background opacity and show/hide borders.
* Improvement: new option for live controls: show/hide computed values.

#1.0.0 / November 14th, 2015

* First public version.